#ifndef CLASSIFIER_H
#define CLASSIFIER_H
#include <string>
#include <sstream>
#include <fstream>
#include <vector>
#include <iostream>
#include "Data.h"
#include "QFile"
#include "QTextStream"


using namespace std;


class Classifier{
protected:
	std::vector<Data> knowledgeBase;
public:
	Classifier(){};
	void loadTrainData(char* fileName){
        std::ifstream fin(fileName);
		while (!fin.eof()){
			std::string line;
			fin >> line;
            cout << line << endl;
            if (line != ""){
                Data d = Data(line);
                this->knowledgeBase.push_back(d);
            }
		}
		fin.close();
	}

    void loadMockTrainData(){
        Data d1 = Data("maria;canta;la;scoala;muzica");
        this->knowledgeBase.push_back(d1);
        Data d2 = Data("ana;are;mere;papa");
        this->knowledgeBase.push_back(d2);
        Data d3 = Data("ana;invata;scoala");
        this->knowledgeBase.push_back(d3);
        Data d4 = Data("maria;invata;scoala");
        this->knowledgeBase.push_back(d4);

    }
	virtual string bestMatched(string s) = 0;
	virtual ~Classifier(){
	}
};


#endif

