#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_pushButtonDo_clicked()
{
   string phrase = this->ui->plainTextEdit->toPlainText().toStdString();
   std::string label = this->c->bestMatched(phrase);
   QString qslabel = QString::fromStdString(label);
   this->ui->textEditLabel->setText(qslabel);
}

void MainWindow::on_radioButtonKNN_clicked()
{
    this->c = new DecisionTree();
//    this->ui->textEditLabel->setText("DT created");
}

void MainWindow::on_radioButtonkNN_clicked()
{
    Distance<string> *distance = new HammingDistance<string>();
    this->c = new NearestNeighbour<string>(distance);
//    this->c->loadTrainData("data.in");
    this->c->loadMockTrainData();
}
